Debian Bug report logs - #728287
ITA: iwatch -- realtime filesystem monitoring program using inotify

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Prokop <mika@debian.org>

Date: Wed, 30 Oct 2013 09:33:06 UTC

Owned by: louiswust@fastmail.fm

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728287; Package wnpp. (Wed, 30 Oct 2013 09:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 30 Oct 2013 09:33:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: iwatch
Date: Wed, 30 Oct 2013 10:30:49 +0100
Package: wnpp
Severity: normal


iWatch is a realtime filesystem monitoring program. It's a simple
perl script to monitor changes in specific directories/files and
send email notification immediately. It reads the dir/file list from
xml config file and needs inotify support in kernel (Linux Kernel >=
2.6.13).

I don't have any real use for iwatch any longer and therefore don't
want to maintain the package anymore.

Please notice that I didn't manage to reach upstream for quite some while:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=581261#12

and the latest upstream release dates back to 2009.

So if someone decides to take over the package he/she should
consider taking it over as upstream as well.

iwatch is written in Perl (~500 lines) and we've the following open bugs:

• #581261 iwatch: not all listed event types to alert on actually do anything...eg modify, attrib etc
• #669291 iwatch: simply misses events
• #494397 iwatch: New subdirectories in recursive mode won't be recognized
• #608843 iwatch: Trouble with utf8 characters in filenames (+ 2 possible fixes)
• #611996 iwatch: Strange problem with network notify

If no one decides to take over iwatch by end of November I'll file a
request for removal.

regards,
-mika-



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728287; Package wnpp. (Sun, 03 Nov 2013 15:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Louis Wust <louiswust@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 03 Nov 2013 15:03:11 GMT) Full text and rfc822 format available.

Message #10 received at 728287@bugs.debian.org (full text, mbox):

From: Louis Wust <louiswust@fastmail.fm>
To: 728287@bugs.debian.org, Michael Prokop <mika@debian.org>
Subject: Re: RFA: iwatch
Date: Sun, 03 Nov 2013 10:00:39 -0500
mika,

I am willing to maintain of iWatch.

Full disclosure: This will be my first time maintaining a Debian
package, and I am neither an official Debian Maintainer nor a Debian
Developer. Furthermore, I have not previously used iWatch.

I want this to be my first step towards contributing to Debian, and I
promise to be diligent in my maintenance of this software.

- Louis



Changed Bug title to 'IFA: iwatch' from 'RFA: iwatch' Request was from Louis Wust <louiswust@fastmail.fm> to control@bugs.debian.org. (Sun, 03 Nov 2013 18:03:11 GMT) Full text and rfc822 format available.

Owner recorded as louiswust@fastmail.fm. Request was from Louis Wust <louiswust@fastmail.fm> to control@bugs.debian.org. (Sun, 03 Nov 2013 18:03:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, louiswust@fastmail.fm:
Bug#728287; Package wnpp. (Mon, 04 Nov 2013 08:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, louiswust@fastmail.fm. (Mon, 04 Nov 2013 08:57:08 GMT) Full text and rfc822 format available.

Message #19 received at 728287@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Louis Wust <louiswust@fastmail.fm>
Cc: 728287@bugs.debian.org
Subject: Re: RFA: iwatch
Date: Mon, 4 Nov 2013 09:54:57 +0100
[Message part 1 (text/plain, inline)]
* Louis Wust [Sun Nov 03, 2013 at 10:00:39AM -0500]:

> I am willing to maintain of iWatch.

Great, thanks.

> Full disclosure: This will be my first time maintaining a Debian
> package, and I am neither an official Debian Maintainer nor a Debian
> Developer. Furthermore, I have not previously used iWatch.

> I want this to be my first step towards contributing to Debian, and I
> promise to be diligent in my maintenance of this software.

Fine for me, please prepare an upload where you take over the
maintainer field accordingly.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: iwatch' from 'IFA: iwatch' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 09 Nov 2013 11:30:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, louiswust@fastmail.fm:
Bug#728287; Package wnpp. (Tue, 12 Nov 2013 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Louis Wust <louiswust@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, louiswust@fastmail.fm. (Tue, 12 Nov 2013 00:03:04 GMT) Full text and rfc822 format available.

Message #26 received at 728287@bugs.debian.org (full text, mbox):

From: Louis Wust <louiswust@fastmail.fm>
To: Michael Prokop <mika@debian.org>
Cc: 728287@bugs.debian.org
Subject: Re: Bug#728287: RFA: iwatch
Date: Mon, 11 Nov 2013 18:59:46 -0500
On Mon, Nov 4, 2013, at 3:54, Michael Prokop wrote:
> Fine for me, please prepare an upload where you take over the
> maintainer field accordingly.

Would you be willing to sponsor my package?

http://mentors.debian.net/package/iwatch

I changed the Maintainer field and upgraded the source package to 3.0
(quilt) format.

To test it, I ran lintian and installed the package on my local machine.

- Louis



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, louiswust@fastmail.fm:
Bug#728287; Package wnpp. (Fri, 15 Nov 2013 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, louiswust@fastmail.fm. (Fri, 15 Nov 2013 13:21:04 GMT) Full text and rfc822 format available.

Message #31 received at 728287@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Louis Wust <louiswust@fastmail.fm>
Cc: 728287@bugs.debian.org
Subject: Re: Bug#728287: RFA: iwatch
Date: Fri, 15 Nov 2013 14:19:00 +0100
[Message part 1 (text/plain, inline)]
* Louis Wust [Mon Nov 11, 2013 at 06:59:46PM -0500]:
> On Mon, Nov 4, 2013, at 3:54, Michael Prokop wrote:
> > Fine for me, please prepare an upload where you take over the
> > maintainer field accordingly.

> Would you be willing to sponsor my package?

> http://mentors.debian.net/package/iwatch

> I changed the Maintainer field and upgraded the source package to 3.0
> (quilt) format.

> To test it, I ran lintian and installed the package on my local machine.

I'd be willing to sponsor *this* upload, but you'd need to fix the
package before:

| Package uploaded for the unreleased distribution

See "iwatch (0.2.2-3) UNRELEASED; urgency=low" in debian/changelog.

Also why does the iwatch_0.2.2.orig.tar.gz file have a different
checksum than the one in the Debian pool?

Please also document your changes (debian/compat, Build-Depends,
Vcs-* header, debian/source/format,...) in the changelog entry.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, louiswust@fastmail.fm:
Bug#728287; Package wnpp. (Fri, 29 Nov 2013 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Louis Wust <louiswust@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, louiswust@fastmail.fm. (Fri, 29 Nov 2013 11:45:04 GMT) Full text and rfc822 format available.

Message #36 received at 728287@bugs.debian.org (full text, mbox):

From: Louis Wust <louiswust@fastmail.fm>
To: Michael Prokop <mika@debian.org>
Cc: 728287@bugs.debian.org
Subject: Re: Bug#728287: RFA: iwatch
Date: Fri, 29 Nov 2013 06:42:11 -0500
On Fri, Nov 15, 2013, at 8:19, Michael Prokop wrote:
> I'd be willing to sponsor *this* upload

Thank you! And thank you for all of your feedback. The latest upload is
available at mentors.debian.net:

https://mentors.debian.net/package/iwatch

After this upload, I will work to find another sponsor. In preparation
for this upload, I reread the Debian Policy Manual chapters 1 through 7
to make sure I didn't miss anything obvious.

> | Package uploaded for the unreleased distribution

Revised to the "unstable" distribution.

> Also why does the iwatch_0.2.2.orig.tar.gz file have a different
> checksum than the one in the Debian pool?

I made a mistake while repackaging the .orig.tar.gz tarball. I did not
put the files under an iwatch-0.2.2/ subdirectory.

Furthermore, there was no need for me to include the original source
tarball in the upload to mentors.debian.net because, like you pointed
out, it already exists in the Debian pool. This time, I chose NOT to
include the orig tarball.

> Please also document your changes (debian/compat, Build-Depends,
> Vcs-* header, debian/source/format,...) in the changelog entry.

I have added these details to my changelog entry. I also documented my
minor changes to Depends and the maintainer scripts.

One question for you: I assumed that you were the owner of
git://git.grml.org/iwatch.git and would no longer be maintaining the
sources there, so I chose to use Cahya Wirawan's upstream at
https://svn.code.sf.net/p/iwatch/code/trunk/. Does this sound like a
reasonable change?

- Louis



Changed Bug title to 'ITA: iwatch -- realtime filesystem monitoring program using inotify' from 'ITA: iwatch' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 26 Dec 2013 09:24:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:47:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.